StaxDataBinding (Apache CXF JavaDoc 4.2.1 API)
Description: declaration: package: org.apache.cxf.databinding.stax, class: StaxDataBinding

Package org.apache.cxf.databinding.stax

# Class StaxDataBinding

java.lang.Object
org.apache.cxf.databinding.AbstractDataBinding
org.apache.cxf.databinding.AbstractInterceptorProvidingDataBinding
org.apache.cxf.databinding.stax.StaxDataBinding

All Implemented Interfaces:
  `DataBinding`, `InterceptorProvider`

public class StaxDataBinding extends AbstractInterceptorProvidingDataBinding
A simple databinding implementation which reads and writes Source objects. This will not work with the standard databinding interceptors.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `StaxDataBinding.XMLStreamDataReader`
  `static class`
  `StaxDataBinding.XMLStreamDataWriter`

- ## Field Summary

  ### Fields inherited from class org.apache.cxf.databinding.AbstractInterceptorProvidingDataBinding

  `inFaultInterceptors, inInterceptors, outFaultInterceptors, outInterceptors`

  ### Fields inherited from class org.apache.cxf.databinding.AbstractDataBinding

  `mtomEnabled, mtomThreshold`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StaxDataBinding()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `<T> DataReader<T>`
  `createReader(Class<T> cls)`
  `<T> DataWriter<T>`
  `createWriter(Class<T> cls)`
  `Class<?>[]`
  `getSupportedReaderFormats()`
  `Class<?>[]`
  `getSupportedWriterFormats()`
  `void`
  `initialize(Service service)`
  Initialize the service info (i.e. type invalid input: '&' element names, Schemas) with information from the databinding.

  ### Methods inherited from class org.apache.cxf.databinding.AbstractInterceptorProvidingDataBinding

  `getInFaultInterceptors, getInInterceptors, getOutFaultInterceptors, getOutInterceptors`

  ### Methods inherited from class org.apache.cxf.databinding.AbstractDataBinding

  `addSchemaDocument, addSchemaDocument, checkNamespaceMap, getBus, getContextualNamespaceMap, getDeclaredNamespaceMappings, getMtomThreshold, getNamespaceMap, getSchemas, isMtomEnabled, setBus, setContextualNamespaceMap, setMtomEnabled, setMtomThreshold, setNamespaceMap, setSchemas, updateSchemaLocation`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StaxDataBinding

    public StaxDataBinding()

- ## Method Details

  - ### initialize

    public void initialize(Service service)
    Description copied from interface: `DataBinding`
    Initialize the service info (i.e. type invalid input: '&' element names, Schemas) with information from the databinding.
    Parameters:
      `service` -

  - ### createReader

    public <T> DataReader<T> createReader(Class<T> cls)

  - ### getSupportedReaderFormats

    public Class<?>[] getSupportedReaderFormats()

  - ### createWriter

    public <T> DataWriter<T> createWriter(Class<T> cls)

  - ### getSupportedWriterFormats

    public Class<?>[] getSupportedWriterFormats()